package com.yida.data.common.core.enums.attendance;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 考勤结果状态类别
 */
@Getter
@AllArgsConstructor
public enum AttendanceModeTypeEnum {
    /**
     * 固定上下班时间模式
     */
    FIX(0, "固定上下班时间模式"),

    /**
     * 自由打卡模式
     */
    FREE(1, "自由打卡模式");

    private final Integer value;
    private final String name;
}
